Skip to main content
POST
Generate Upload Document Url

Authorizations

Authorization
string
header
required

Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.

Headers

tenant
string
required

Your tenant identifier. Requests without it are rejected.

Path Parameters

policyId
string
required

the policy's id

Pattern: ^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Query Parameters

whenAt
string<date-time>

Optional: the whenAt datetime

branchId
string

Optional: the branchId

Pattern: ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Body

application/json

Add in metadata the documenttype for non-delegated document generation

name
string
required

name

metadata
object[]

metadata of the policy

Example:

Response

url
string
required

the signed url to upload the document

id
string
required

the id of the document

contentType
string

the Content-Type header that was signed into the presigned URL

contentDisposition
string

the Content-Disposition header that was signed into the presigned URL